=== debian/changelog ===
ros-foxy-sick-scan2 (0.1.9-1focal) focal; urgency=high

  * tf2-ros dependency added, temperatur to test server added
  * Contributors: Michael Lehning

 -- Michael Lehning <michael.lehning@lehning.de>  Wed, 21 Oct 2020 22:00:00 -0000

ros-foxy-sick-scan2 (0.1.8-1focal) focal; urgency=high

  * LDMRS support added scanner simulator added
  * migraded print statments to ros2
  * implemeted software pll and rssi
  * MRS 1xxx Imu support activated
  * added MRS1104 support
  * Update clion debugging
  * Adding TiM240 support info.
  * support of TiM240
  * prepare TiM240
    Correct parameter name "max_ang" in config files to activate the setting.
  * Modify max-ang to max_ang in config files.
  * Supported hardware list extended
  * added new launchfiles and updated readme
  * tf2 added
  * First draft of LMS511 and LMS111 support and pointcloud2
  * Quaternion test added
  * Contributors: Michael Lehning, Skyler Pan

 -- Michael Lehning <michael.lehning@lehning.de>  Wed, 21 Oct 2020 22:00:00 -0000

ros-foxy-sick-scan2 (0.1.7-1focal) focal; urgency=high

  * retrial bloom release
  * Merge pull request #8 <https://github.com/SICKAG/sick_scan2/issues/8> from clalancette/fixes
    Fixes for CMakeLists.txt to build on the buildfarm.
  * Fixes for CMakeLists.txt to build on the buildfarm.
    A few things done in here:
    1.  Change CMake required version back to 3.5
    2.  Remove unnecessary dependency on pthreads
    3.  Remove duplicate boost dependency.
    4.  Make sure to find_package(diagnostic_updater) before use.
    Signed-off-by: Chris Lalancette <mailto:clalancette@openrobotics.org>
  * Trying to figure out problem with the build farm
    build farm reports: 23:10:29 /usr/bin/ld: cannot find -lpthreads
  * -pthread option added to build receipt
  * Add pthreads dependancy
    This addition is triggered by reading
    'https://stackoverflow.com/questions/31948521/building-error-using-cmake-cannot-find-lpthreads'
  * pthread dep. added to CMakeLists.txt
  * removed unnecessary dependency from cmakelist.txt
  * Contributors: Chris Lalancette, Michael Lehning

 -- Michael Lehning <michael.lehning@lehning.de>  Wed, 15 Apr 2020 22:00:00 -0000

ros-foxy-sick-scan2 (0.1.6-1focal) focal; urgency=high

  * New retrial of bloom release

 -- Michael Lehning <michael.lehning@lehning.de>  Wed, 15 Apr 2020 22:00:00 -0000

ros-foxy-sick-scan2 (0.1.3-1focal) focal; urgency=high

  * Integration of TiM781 and TiM781S

 -- Michael Lehning <michael.lehning@lehning.de>  Tue, 22 Oct 2019 22:00:00 -0000

ros-foxy-sick-scan2 (0.1.2-1focal) focal; urgency=high

  * Porting to "Dashing"

 -- Michael Lehning <michael.lehning@lehning.de>  Mon, 21 Oct 2019 22:00:00 -0000

ros-foxy-sick-scan2 (0.1.1-1focal) focal; urgency=high

  * Integration Test for Bloom

 -- Michael Lehning <michael.lehning@lehning.de>  Mon, 21 Oct 2019 22:00:00 -0000

ros-foxy-sick-scan2 (0.1.0-1focal) focal; urgency=high

  * First version of a ROS2 driver for the SICK TiM family.

 -- Michael Lehning <michael.lehning@lehning.de>  Mon, 21 Oct 2019 22:00:00 -0000
