=== debian/control ===
Source: ros-foxy-sick-scan2
Section: misc
Priority: optional
Maintainer: Michael Lehning <michael.lehning@lehning.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-gtest, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-diagnostic-updater, ros-foxy-rclcpp, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-tf2, ros-foxy-tf2-ros, ros-foxy-ros-workspace, ros-foxy-rosidl-typesupport-connext-c, ros-foxy-rosidl-typesupport-connext-cpp, ros-foxy-rosidl-typesupport-fastrtps-c, ros-foxy-rosidl-typesupport-fastrtps-cpp
Homepage: http://wiki.ros.org/sick_scan2
Standards-Version: 3.9.2

Package: ros-foxy-sick-scan2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-foxy-diagnostic-updater, ros-foxy-rclcpp, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-tf2, ros-foxy-tf2-ros, ros-foxy-ros-workspace
Description: A ROS2 driver for the SICK TiM series of laser scanners.
 This package is based on the sick_scan-Repository.
